// Atari800WinView.h : interface of the CAtari800WinView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_ATARI800WINVIEW_H__39809C6D_0544_11D1_8B6B_444553540000__INCLUDED_)
#define AFX_ATARI800WINVIEW_H__39809C6D_0544_11D1_8B6B_444553540000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CAtari800WinView : public CView
{
protected: // create from serialization only
	CAtari800WinView();
	DECLARE_DYNCREATE(CAtari800WinView)

// Attributes
public:
	CAtari800WinDoc* GetDocument();
// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAtari800WinView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual void OnInitialUpdate();
	protected:
	virtual void OnPrint(CDC* pDC, CPrintInfo* pInfo);
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CAtari800WinView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	void	StartAtariMachine( void );
// Generated message map functions
protected:
	//{{AFX_MSG(CAtari800WinView)
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnDestroy();
	afx_msg void OnKillFocus(CWnd* pNewWnd);
	afx_msg void OnSetFocus(CWnd* pOldWnd);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in Atari800WinView.cpp
inline CAtari800WinDoc* CAtari800WinView::GetDocument()
   { return (CAtari800WinDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ATARI800WINVIEW_H__39809C6D_0544_11D1_8B6B_444553540000__INCLUDED_)
